The Spring Framework

## org.springframework.core
Interface ConcurrentMap

All Superinterfaces:
  Map

    public interface ConcurrentMap

extends Map

Common interface for a concurrent Map, as exposed by `CollectionFactory.createConcurrentMap(int)`. Mirrors `ConcurrentMap`, allowing to be backed by a JDK ConcurrentHashMap as well as a backport-concurrent ConcurrentHashMap.

Check out the `ConcurrentMap javadoc` for details on the interface's methods.

Since:
  2.5
Author:
  Juergen Hoeller

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`Object` `putIfAbsent(Object key, Object value)`
`boolean` `remove(Object key, Object value)`
`Object` `replace(Object key, Object value)`
`boolean` `replace(Object key, Object oldValue, Object newValue)`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### putIfAbsent

    Object putIfAbsent(Object key,
                       Object value)

### remove

    boolean remove(Object key,
                   Object value)

### replace

    boolean replace(Object key,
                    Object oldValue,
                    Object newValue)

### replace

    Object replace(Object key,
                   Object value)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.